JetPack 3 Host Install Problem

I just got a TX-2 and I’m trying to move all my VisionWorks related code over to accommodate the new changes. I managed to get JetPack 3.0 to successfully install on my TX-2 but I think the HOST side installation isn’t working.

I looked to find the VisionWorks samples in /usr/shared but no such folder exists.

When I look at the JetPack 3 installation log there seems to be quite a few Errors. I was hoping someone could take a look at my log file and tell me what’s wrong?

It looks like some part of “sudo apt-get update” is breaking while looking for binary-arm64 packages. But I’m on an x86_64 machine so I’m not really sure what’s going on. Any help is appreciated.

Thanks!

Link to log-file : https://drive.google.com/file/d/0B246jdR9DZiTaklzdEtWNjBJVkk/view?usp=sharing

How much disk space do you have? Try:

df -H /usr

Hi, I think disk space isn’t the issue.

Filesystem      Size  Used Avail Use% Mounted on
/dev/nvme0n1p2  235G  129G   95G  58% /

So I managed to get rid of the sudo apt-get update related error and then re-installed Jet Pack 3 on both host and target devices.

When I look for the VisionWorks samples I still only have /usr/share/visionworks -> /docs and nothing else.

Hi singularity7,

I saw below messages from your “logfile.txt”.
Had cuda-cudart-8-0 been installed successfully?
Could you try to re-install by running “JetPack-L4T-3.0-linux-x64.run” without deleting the pre-downloaded packages?

Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libvisionworks : Depends: cuda-cudart-8-0 but it is not installable
 libvisionworks-samples : Depends: cuda-cudart-dev-8-0 but it is not installable or
                                   nvidia-cuda-dev (>= 8.0) but it is not going to be installed
                          Recommends: cuda-npp-dev-8-0 but it is not installable or
                                      nvidia-cuda-dev (>= 8.0) but it is not going to be installed
                          Recommends: libopencv4tegra-dev but it is not installable
E: Unable to correct problems, you have held broken packages.

I just tried doing that but none of the installers have actions associated with them because I believe the installer thinks everything was successfully installed.

The installer looks like this - https://github.com/ShreyasSkandan/ShreyasSkandan.github.io/blob/master/img/install-tx2.png

The only way would be to uninstall and then re-install.

Well I tried to install JetPack 2.3.1 and everything seems to work correctly. I just successfully installed VisionWorks et. al

I’m just going to stick to host dev on 2.3.1 until Nvidia figures this one out (along with the OpenCV + GPU incompatible compute_architecture).

Slightly disappointed to not be able to develop on VisionWorks 1.6 but I’ll survive!

Thanks for all your help guys - hopefully this is resolved soon.

JetPack 2.3.1 installation on HOST MACHINE:

Hit http://us.archive.ubuntu.com trusty/multiverse i386 Packages
Hit http://us.archive.ubuntu.com trusty/main Translation-en
Hit http://us.archive.ubuntu.com trusty/multiverse Translation-en
Hit http://us.archive.ubuntu.com trusty/restricted Translation-en
Hit http://us.archive.ubuntu.com trusty/universe Translation-en
Ign http://us.archive.ubuntu.com trusty/main Translation-en_US
Ign http://us.archive.ubuntu.com trusty/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com trusty/restricted Translation-en_US
Ign http://us.archive.ubuntu.com trusty/universe Translation-en_US
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  libvisionworks-tracking libvisionworks-tracking-dev
  libvisionworks-tracking-docs
dpkg-preconfigure: unable to re-open stdin: No such file or directory
0 upgraded, 3 newly installed, 0 to remove and 2 not upgraded.
Need to get 0 B/13.8 MB of archives.
After this operation, 15.1 MB of additional disk space will be used.
Selecting previously unselected package libvisionworks-tracking.
(Reading database ... 280586 files and directories currently installed.)
Preparing to unpack .../libvisionworks-tracking_0.84.0_amd64.deb ...
Unpacking libvisionworks-tracking (0.84.0) ...
Selecting previously unselected package libvisionworks-tracking-dev.
Preparing to unpack .../libvisionworks-tracking-dev_0.84.0_amd64.deb ...
Unpacking libvisionworks-tracking-dev (0.84.0) ...
Selecting previously unselected package libvisionworks-tracking-docs.
Preparing to unpack .../libvisionworks-tracking-docs_0.84.0_all.deb ...
Unpacking libvisionworks-tracking-docs (0.84.0) ...
Setting up libvisionworks-tracking (0.84.0) ...
Setting up libvisionworks-tracking-dev (0.84.0) ...
Setting up libvisionworks-tracking-docs (0.84.0) ...
Processing triggers for libc-bin (2.19-0ubuntu6.11) ...
/sbin/ldconfig.real: /usr/lib/nvidia-375/libEGL.so.1 is not a symbolic link

/sbin/ldconfig.real: /usr/lib32/nvidia-375/libEGL.so.1 is not a symbolic link


Archive:  /home/shreyas/Downloads/jetpack_download/NVIDIA_VisionWorks_1.5.3_Docs.zip
 extracting: NVIDIA_VisionWorks_1.5.3_References.zip  
 extracting: NVIDIA_VisionWorks_SFM_0.88.0_References.zip  
 extracting: NVIDIA_VisionWorks_Tracking_0.84.0_References.zip  
  inflating: VisionWorks-1.5.3-README-Linux.txt  
  inflating: VisionWorks-1.5.3-Release-Notes.txt  
  inflating: VisionWorks-SFM-0.88.0-README.txt  
  inflating: VisionWorks-SFM-0.88.0-Release-Notes.txt  
  inflating: VisionWorks-Tracking-0.84.0-README.txt  
  inflating: VisionWorks-Tracking-0.84.0-Release-Notes.txt  

root     14540  0.0  0.0 199548  3076 ?        Ssl  16:51   0:00 /home/shreyas/Downloads/_installer/sudo_daemon -installer=14512 -d=/home/shreyas/Downloads/_installer/tmp
0
/home/shreyas/Downloads//_installer/run_command  -c="apt-get remove --purge -y libopencv4tegra.*" -d=/home/shreyas/Downloads//_installer/tmp
Reading package lists...
Building dependency tree...
Reading state information...
Package 'libopencv4tegra-dev' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
root     14540  0.0  0.0 199804  3124 ?        Ssl  16:51   0:00 /home/shreyas/Downloads/_installer/sudo_daemon -installer=14512 -d=/home/shreyas/Downloads/_installer/tmp
0
/home/shreyas/Downloads//_installer/run_command  -c="dpkg -i /home/shreyas/Downloads/jetpack_download/libopencv4tegra-repo_2.4.13-17-g5317135_amd64_ubuntu-14.04.deb;apt-key add /var/libopencv4tegra-repo/GPGKEY;apt-get update; apt-get install -y --force-yes --allow-unauthenticated libopencv4tegra libopencv4tegra-dev" -d=/home/shreyas/Downloads//_installer/tmp -l=/home/shreyas/Downloads/_installer/logs//opencv4tegra.log

Just want to clarify the issue; You install JetPack 3.0 to Jetson TX2
Devkit and JetPack 2.3.1 to Jetson TX1
Devkit, right?

Yeah I’ve been using JetPack 2.3.1 on the TX1 for the last few months. I just got the TX2 and installed JetPack 3.0 but I can’t get visionworks 1.6 to work on my host machine. So now i’ve got JetPack 2.3.1 running on my host machine and TX1 and JetPack 3 on the TX2.

Hi singularity7,

I tried to install visionworks 1.6 with 2 host pc and both are successfully installed.

Please make sure if you uninstalled the old visionworks and cuda toolkit on host.

Hi singularity7,

Seems we have found a root cause here. Please install the visionwork in following order.

• CUDA
• OpenCV4Tegra
• VisionWorks
• VisionWorks plus modules (SFM and tracking)

Hi,

We are sorry for this issue and thanks a lot for your patient :)

Visionworks 1.6.0 on host can be successfully installed with following manually steps:

  • Install Jetpack with full options first
  • Remove Visionworks by custom options ( visionworks only )
  • Install Visionworks by custom options ( visionworks only )
  • Sorry for the inconvenience and we are trying to fix this. Will update information to you later.
    Thanks.

    Thank you very much! I will give this a shot later today and report my results. But this seems like it would fix the missing cudart error! Thanks again.

    Hi WayneWWW and AastaLLL,

    I tried to install VisionWorks in your recommended order but the same problem persists. When I tried to install VisionWorks, the return code: 29 error still showed up.

    My Ubuntu 14.04.5 is a dual boot on my MacBook Air, and I created it for the sole purpose of installing Jetpack, hence I do not have previous version of VisionWorks installed on my PC.

    Thank you and really appreciate your help.

    Hi leoncss92,

    I have replied in topic 1010075. Please find follow link for details:
    https://devtalk.nvidia.com/default/topic/1010075/jetson-tx2/jetpack-3-0-installing-visionworks-error-29/post/5154792/#5154792

    Since this thread has been revived, I tried the steps mentioned above and VisionWorks 1.6 works on my host machine. But sudo-apt get update still fails while trying to update the arm64 architecture. Any thoughts on how to fix that? I’m trying to run some cross-compilation of cuda code using nsight and can’t do it because sudo-apt get update keeps failing.

    Hi singularity7,

    Thanks for your feedback.

    Just want to confirm :
    You can install Visionworks-1.6 successfully but met error in sudo apt-get update and cross-compiling?

    Yes, I got VisionWorks-1.6 to run successfully.

    But as you can see below my sudo apt-get update fails when I try to add the arm64 architecture.

    I’m trying to follow the steps mentioned here to debug my TX2 device from my laptop - https://devblogs.nvidia.com/parallelforall/cuda-jetson-nvidia-nsight-eclipse-edition/

    And I can’t do any of those steps if my sudo apt-get update fails. Any thoughts?

    I can remove the arm64 architecture by doing the following, but that’s only a temporary solution to stop the sudo apt-get update errors.

    sudo dpkg --force-architecture --remove-architecture arm64 sudo apt-get autoremove -f

    shreyasskandan@shreyasskandan-P65-67RSRP:~$ sudo apt-get update
    Ign file:  InRelease
    Ign file:  InRelease                                                           
    Ign file:  InRelease                                                           
    Ign file:  InRelease                                                           
    Ign file:  InRelease                                                           
    Get:1 file:  Release.gpg [819 B]                                               
    Get:2 file:  Release.gpg [181 B]                                               
    Get:3 file:  Release.gpg [819 B]                                               
    Get:4 file:  Release.gpg [819 B]                                               
    Get:5 file:  Release.gpg [819 B]                                               
    Get:6 file:  Release [574 B]                                                   
    Get:7 file:  Release [347 B]                                                   
    Get:8 file:  Release [1,999 B]                                                 
    Get:9 file:  Release [2,003 B]                                                 
    Get:10 file:  Release [2,008 B]                                                
    Ign file:  Translation-en_US                                                   
    Ign file:  Translation-en                                                      
    Ign file:  Translation-en_US                                                   
    Ign file:  Translation-en                                                      
    Ign file:  Translation-en_US                                                   
    Ign file:  Translation-en                                                      
    Ign file:  Translation-en_US                                                   
    Ign file:  Translation-en                                                      
    Ign file:  Translation-en_US                                                   
    Ign file:  Translation-en                                                      
    Ign http://us.archive.ubuntu.com trusty InRelease                              
    Ign http://dl.google.com stable InRelease                                      
    Ign http://linux.dropbox.com trusty InRelease                                  
    Get:11 http://us.archive.ubuntu.com trusty-updates InRelease [65.9 kB]         
    Hit http://linux.dropbox.com trusty Release.gpg                                
    Hit http://linux.dropbox.com trusty Release                                    
    Hit http://linux.dropbox.com trusty/main amd64 Packages                        
    Hit http://us.archive.ubuntu.com trusty-backports InRelease                    
    Hit http://dl.google.com stable Release.gpg                                    
    Hit http://linux.dropbox.com trusty/main i386 Packages                         
    Hit http://us.archive.ubuntu.com trusty Release.gpg                            
    Hit http://security.ubuntu.com trusty-security InRelease                       
    Ign http://extras.ubuntu.com trusty InRelease                                  
    Get:12 http://us.archive.ubuntu.com trusty-updates/main Sources [399 kB]       
    Hit http://dl.google.com stable Release                                        
    Get:13 http://us.archive.ubuntu.com trusty-updates/restricted Sources [6,327 B]
    Hit http://security.ubuntu.com trusty-security/main Sources                    
    Hit http://extras.ubuntu.com trusty Release.gpg                                
    Hit http://dl.google.com stable/main amd64 Packages                            
    Get:14 http://us.archive.ubuntu.com trusty-updates/universe Sources [179 kB]   
    Get:15 http://us.archive.ubuntu.com trusty-updates/multiverse Sources [7,764 B]
    Get:16 http://us.archive.ubuntu.com trusty-updates/main amd64 Packages [985 kB]
    Hit http://security.ubuntu.com trusty-security/restricted Sources              
    Hit http://extras.ubuntu.com trusty Release                                    
    Get:17 http://us.archive.ubuntu.com trusty-updates/restricted amd64 Packages [17.1 kB]
    Ign http://linux.dropbox.com trusty/main Translation-en_US                     
    Get:18 http://us.archive.ubuntu.com trusty-updates/universe amd64 Packages [406 kB]
    Ign http://linux.dropbox.com trusty/main Translation-en                        
    Hit http://security.ubuntu.com trusty-security/universe Sources                
    Hit http://extras.ubuntu.com trusty/main Sources                               
    Get:19 http://us.archive.ubuntu.com trusty-updates/multiverse amd64 Packages [14.3 kB]
    Hit http://security.ubuntu.com trusty-security/multiverse Sources              
    Hit http://extras.ubuntu.com trusty/main amd64 Packages                        
    Get:20 http://us.archive.ubuntu.com trusty-updates/main i386 Packages [941 kB] 
    Get:21 http://us.archive.ubuntu.com trusty-updates/restricted i386 Packages [16.9 kB]
    Hit http://security.ubuntu.com trusty-security/main amd64 Packages             
    Get:22 http://us.archive.ubuntu.com trusty-updates/universe i386 Packages [408 kB]
    Hit http://security.ubuntu.com trusty-security/restricted amd64 Packages       
    Hit http://extras.ubuntu.com trusty/main i386 Packages                         
    Get:23 http://us.archive.ubuntu.com trusty-updates/multiverse i386 Packages [14.6 kB]
    Hit http://us.archive.ubuntu.com trusty-updates/main Translation-en            
    Hit http://us.archive.ubuntu.com trusty-updates/multiverse Translation-en      
    Hit http://us.archive.ubuntu.com trusty-updates/restricted Translation-en      
    Hit http://security.ubuntu.com trusty-security/universe amd64 Packages         
    Hit http://us.archive.ubuntu.com trusty-updates/universe Translation-en        
    Hit http://us.archive.ubuntu.com trusty-backports/main Sources                 
    Hit http://us.archive.ubuntu.com trusty-backports/restricted Sources           
    Hit http://us.archive.ubuntu.com trusty-backports/universe Sources             
    Hit http://security.ubuntu.com trusty-security/multiverse amd64 Packages       
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse Sources           
    Ign http://dl.google.com stable/main Translation-en_US                         
    Hit http://us.archive.ubuntu.com trusty-backports/main amd64 Packages          
    Hit http://us.archive.ubuntu.com trusty-backports/restricted amd64 Packages    
    Hit http://us.archive.ubuntu.com trusty-backports/universe amd64 Packages      
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse amd64 Packages    
    Ign http://dl.google.com stable/main Translation-en                            
    Hit http://us.archive.ubuntu.com trusty-backports/main i386 Packages           
    Hit http://us.archive.ubuntu.com trusty-backports/restricted i386 Packages     
    Hit http://us.archive.ubuntu.com trusty-backports/universe i386 Packages       
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse i386 Packages     
    Hit http://us.archive.ubuntu.com trusty-backports/main Translation-en          
    Hit http://us.archive.ubuntu.com trusty-backports/multiverse Translation-en    
    Err http://extras.ubuntu.com trusty/main arm64 Packages                        
      404  Not Found [IP: 2001:67c:1360:8c01::23 80]
    Hit http://us.archive.ubuntu.com trusty-backports/restricted Translation-en
    Hit http://us.archive.ubuntu.com trusty-backports/universe Translation-en
    Hit http://us.archive.ubuntu.com trusty Release                                
    Hit http://security.ubuntu.com trusty-security/main i386 Packages              
    Hit http://security.ubuntu.com trusty-security/restricted i386 Packages        
    Hit http://us.archive.ubuntu.com trusty/main Sources                           
    Hit http://us.archive.ubuntu.com trusty/restricted Sources                     
    Hit http://security.ubuntu.com trusty-security/universe i386 Packages          
    Hit http://us.archive.ubuntu.com trusty/universe Sources           
    Hit http://us.archive.ubuntu.com trusty/multiverse Sources         
    Hit http://security.ubuntu.com trusty-security/multiverse i386 Packages        
    Hit http://us.archive.ubuntu.com trusty/main amd64 Packages                    
    Hit http://us.archive.ubuntu.com trusty/restricted amd64 Packages 
    Hit http://us.archive.ubuntu.com trusty/universe amd64 Packages   
    Hit http://security.ubuntu.com trusty-security/main Translation-en
    Hit http://us.archive.ubuntu.com trusty/multiverse amd64 Packages 
    Ign http://extras.ubuntu.com trusty/main Translation-en_US        
    Ign http://extras.ubuntu.com trusty/main Translation-en           
    Hit http://us.archive.ubuntu.com trusty/main i386 Packages        
    Hit http://us.archive.ubuntu.com trusty/restricted i386 Packages  
    Hit http://us.archive.ubuntu.com trusty/universe i386 Packages
    Hit http://us.archive.ubuntu.com trusty/multiverse i386 Packages
    Hit http://us.archive.ubuntu.com trusty/main Translation-en
    Hit http://security.ubuntu.com trusty-security/multiverse Translation-en
    Hit http://us.archive.ubuntu.com trusty/multiverse Translation-en
    Hit http://us.archive.ubuntu.com trusty/restricted Translation-en
    Hit http://security.ubuntu.com trusty-security/restricted Translation-en
    Hit http://us.archive.ubuntu.com trusty/universe Translation-en     
    Hit http://security.ubuntu.com trusty-security/universe Translation-en
    Err http://us.archive.ubuntu.com trusty-updates/main arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty-updates/restricted arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty-updates/universe arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty-updates/multiverse arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty-backports/main arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty-backports/restricted arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty-backports/universe arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty-backports/multiverse arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty/main arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty/restricted arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty/universe arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://us.archive.ubuntu.com trusty/multiverse arm64 Packages
      404  Not Found [IP: 2001:67c:1562::19 80]
    Err http://security.ubuntu.com trusty-security/main arm64 Packages
      404  Not Found [IP: 2001:67c:1360:8001::21 80]
    Err http://security.ubuntu.com trusty-security/restricted arm64 Packages  
      404  Not Found [IP: 2001:67c:1360:8001::21 80]
    Err http://security.ubuntu.com trusty-security/universe arm64 Packages    
      404  Not Found [IP: 2001:67c:1360:8001::21 80]
    Ign http://us.archive.ubuntu.com trusty/main Translation-en_US      
    Ign http://us.archive.ubuntu.com trusty/multiverse Translation-en_US
    Ign http://us.archive.ubuntu.com trusty/restricted Translation-en_US
    Err http://security.ubuntu.com trusty-security/multiverse arm64 Packages
      404  Not Found [IP: 2001:67c:1360:8001::21 80]
    Ign http://us.archive.ubuntu.com trusty/universe Translation-en_US
    Fetched 3,461 kB in 3s (1,041 kB/s)          
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty-updates/main/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty-updates/restricted/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty-updates/universe/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty-updates/multiverse/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty-backports/main/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty-backports/restricted/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty-backports/universe/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty-backports/multiverse/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/trusty-security/main/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1360:8001::21 80]
    
    W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/trusty-security/restricted/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1360:8001::21 80]
    
    W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/trusty-security/universe/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1360:8001::21 80]
    
    W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/trusty-security/multiverse/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1360:8001::21 80]
    
    W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/trusty/main/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1360:8c01::23 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty/main/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty/restricted/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty/universe/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/trusty/multiverse/binary-arm64/Packages  404  Not Found [IP: 2001:67c:1562::19 80]
    
    E: Some index files failed to download. They have been ignored, or old ones used instead.
    

    Hi,

    Thanks for your feedback.

    We are tracking this issue now.
    Will update information to you later.

    Hi,

    We have tried to steps mentioned here:

    Although we also met some package not found error, Nsight works properly after all the setting are done.
    Please skip the error and apply the following steps to setup Nsight.

    If you still met error when all setup is applied, please let us know.
    Thanks.

    Thanks AastaLLL, you’re right it does work even with the failing sudo apt-get update. Do you think there will be a fix to address that problem?